## r-cran-enrichwith 0.3.1%2Bdfsg

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/enrichwith_([-\d.]*)\.tar\.gz

## r-cran-enrichwith 0.3.1+dfsg

=== DESCRIPTION ===
Package: enrichwith
Title: Methods to Enrich R Objects with Extra Components
Version: 0.3.1
Authors@R: person("Ioannis", "Kosmidis", email = "ioannis.kosmidis@warwick.ac.uk", role = c("aut", "cre"))
Description: Provides the "enrich" method to enrich list-like R objects with new, relevant components. The current version has methods for enriching objects of class 'family', 'link-glm', 'lm', 'glm' and 'betareg'. The resulting objects preserve their class, so all methods associated with them still apply. The package also provides the 'enriched_glm' function that has the same interface as 'glm' but results in objects of class 'enriched_glm'. In addition to the usual components in a `glm` object, 'enriched_glm' objects carry an object-specific simulate method and functions to compute the scores, the observed and expected information matrix, the first-order bias, as well as model densities, probabilities, and quantiles at arbitrary parameter values. The package can also be used to produce customizable source code templates for the structured implementation of methods to compute new components and enrich arbitrary objects.
Depends: R (>= 3.0.0)
URL: https://github.com/ikosmidis/enrichwith
BugReports: https://github.com/ikosmidis/enrichwith/issues
License: GPL-2 | GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
Suggests: whisker, SuppDists, brglm, ggplot2, knitr, rmarkdown
Enhances: betareg, gnm, stats
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2020-01-09 20:59:09 UTC; yiannis
Author: Ioannis Kosmidis [aut, cre]
Maintainer: Ioannis Kosmidis <ioannis.kosmidis@warwick.ac.uk>
Repository: CRAN
Date/Publication: 2020-01-10 05:30:33 UTC

=== debian/changelog ===
r-cran-enrichwith (0.3.1+dfsg-2) unstable; urgency=medium

  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Tue, 12 Jul 2022 07:49:28 +0200

r-cran-enrichwith (0.3.1+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #1013975)

 -- Andreas Tille <tille@debian.org>  Tue, 28 Jun 2022 15:15:05 +0200

=== debian/control ===
Source: r-cran-enrichwith
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-enrichwith
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-enrichwith.git
Homepage: https://cran.r-project.org/package=enrichwith
Rules-Requires-Root: no

Package: r-cran-enrichwith
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R methods to enrich R Objects with extra components
 Provides the "enrich" method to enrich list-like R objects with new,
 relevant components. The current version has methods for enriching
 objects of class 'family', 'link-glm', 'lm', 'glm' and 'betareg'. The
 resulting objects preserve their class, so all methods associated with
 them still apply. The package also provides the 'enriched_glm' function
 that has the same interface as 'glm' but results in objects of class
 'enriched_glm'. In addition to the usual components in a `glm` object,
 'enriched_glm' objects carry an object-specific simulate method and
 functions to compute the scores, the observed and expected information
 matrix, the first-order bias, as well as model densities,
 probabilities, and quantiles at arbitrary parameter values. The package
 can also be used to produce customizable source code templates for the
 structured implementation of methods to compute new components and
 enrich arbitrary objects.

## r-cran-enrichwith 0.4.0+dfsg

=== debian/changelog ===
r-cran-enrichwith (0.4.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  Trim trailing whitespace.
  Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository, Repository-Browse.

 -- Charles Plessy <plessy@debian.org>  Tue, 23 Dec 2025 09:58:34 +0900

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
-               r-base-dev
-Standards-Version: 4.6.1
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-enrichwith
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-enrichwith.git
 Homepage: https://cran.r-project.org/package=enrichwith
